Delete a workflow action by ID

Deletes the workflow action identified by the provided resource ID and returns the deleted action. Requires the WORKFLOW_ACTION.DELETE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
workflow_idstring
Workflow that owns this action.
typeenum
Action type that selects the matching action configuration.
Allowed values:
statusenum
Status of the action.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
descriptionstring or nullformat: "^.*$"0-256 characters
Description of what this action does.
created_atstring or nullRead-only
Date time when the action was created.
updated_atstring or nullRead-only
Date time when the action was last updated.
send_email_to_customerobject
Email action configuration used to send an email to the customer.

Errors

401
Unauthorized Error
403
Forbidden Error